### DB_MPOOLFILE->set_flags |

`

###

    #include <db.h>

    int
    DB_MPOOLFILE->set_flags(DB_MPOOLFILE *mpf, u_int32_t flags, int onoff)

    int
    DB_MPOOLFILE->get_flags(DB_MPOOLFILE *mpf, u_int32_t *flagsp);

### Description: DB_MPOOLFILE->set_flags

Configure a file in the cache.

To set the flags for a particular database, call the DB_MPOOLFILE->set_flags method using the DB_MPOOLFILE handle stored in the mpf field of the DB handle.

The DB_MPOOLFILE->set_flags method returns a non-zero error value on failure and 0 on success.

### Parameters

flags
  The flags parameter must be set by bitwise inclusively OR'ing together one or more of the following values:

  DB_MPOOL_NOFILE
    If set, no backing temporary file will be opened for in-memory databases, even if they expand to fill the entire cache. Attempts to create new file pages after the cache has been filled will fail.

    The DB_MPOOL_NOFILE flag may be used to configure Berkeley DB at any time during the life of the application.

onoff
  If onoff is zero, the specified flags are cleared; otherwise they are set.

### Description: DB_MPOOLFILE->get_flags

The DB_MPOOLFILE->get_flags method returns the flags.

The DB_MPOOLFILE->get_flags method may be called at any time during the life of the application.

The DB_MPOOLFILE->get_flags method returns a non-zero error value on failure and 0 on success.

### Parameters

flagsp
  The DB_MPOOLFILE->get_flags method returns the flags in flagsp.

### Class

DB_ENV, DB_MPOOLFILE

### See Also

Memory Pools and Related Methods`

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.